#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	version
%include	/usr/lib/rpm/macros.perl
Summary:	version - Perl extension for Version Objects
Summary(pl.UTF-8):	version - rozszerzenie Perla dla obiektów wersji
Name:		perl-version
Version:	0.9912
Release:	3
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/version/%{pdir}-%{version}.tar.gz
# Source0-md5:	404a7174f3e38e4f8fad3e1eefce5412
URL:		http://search.cpan.org/dist/version/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.17
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-Temp >= 0.13
BuildRequires:	perl-Test-Simple >= 0.45
BuildRequires:	perl-parent >= 0.221
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Overloaded version objects for all versions of Perl. This module
implements all of the features of version objects which will be part
of Perl 5.10.0 except automatic version object creation.

%description -l pl.UTF-8
Przeciążone obiekty wersji dla wszystkich wersji Perla. Ten moduł
implementuje wszystkie możliwości obiektów wersji, które będą częścią
Perla 5.10.0, z wyjątkiem automatycznego tworzenia obiektu wersji.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version/Internals.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/version.pm
%dir %{perl_vendorarch}/version
%{perl_vendorarch}/version/regex.pm
%{perl_vendorarch}/version/vpp.pm
%{perl_vendorarch}/version/vxs.pm
%dir %{perl_vendorarch}/auto/version
%dir %{perl_vendorarch}/auto/version/vxs
%attr(755,root,root) %{perl_vendorarch}/auto/version/vxs/vxs.so
%{_mandir}/man3/version*.3pm*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-version.git;a=log;h=master

* Sun Jan 03 2016 Jan Rękorajski <baggins@pld-linux.org> 7661ecc
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0163898
- release 2 (by relup.sh)

* Wed Aug 26 2015 Jakub Bogusz <qboosh@pld-linux.org> e5593e1
- updated to 0.9912

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 094ddc2
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8cd42d8
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> df452f3
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Nov 03 2013 Elan Ruusamäe <glen@delfi.ee> ad80b3b
- up to 0.9903, adds version/vpp.pm

* Wed Jun 19 2013 Jakub Bogusz <qboosh@pld-linux.org> dc9a814
- updated to 0.9902

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9336ed0
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> b82a143
- updated to 0.99

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> c190b4d
- up to 0.95

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 1626ff5
- use package name for Test::More
- removed no longer used perl-Module-Build BR

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> e8579e2
- up to 0.88
- build using Makefile.pl instead of Build.pl
- more verbose man files

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 11086c0
- epoch 1 because version 0.7702 > 0.85

* Sun Nov 14 2010 Szymon Siwek <sls@pld-linux.org> 663fa1d
- ver. 0.85

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b26d8cf
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b584c11
- release 2

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> dae4ab6
- updated to 0.7702

* Mon Nov 10 2008 Elan Ruusamäe <glen@pld-linux.org> aaebae1
- up to 0.76

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 7cbf400
- generic URL

